::**************************************************
:: PSXMinimise-Compress is part of:
:: PSXMinimise v0.47 by jcx - Released on 2021-07-15
:: https://jcx.life/tech/psxminimise
::**************************************************

@echo off

if "%~1"=="" call psxminimise-header.bat
if "%~1"=="" timeout /T 3

IF EXIST "*(Track 01).bin" ( 
if "%~1"=="1" ecm *"(Track 01).bin" 
if "%~1"=="" ecm *"(Track 01).bin" >NUL 2>NUL
del *"(Track 01).bin"
goto audiocomp
) ELSE (
IF EXIST "*(Track 1).bin" (
if "%~1"=="1" ecm *"(Track 1).bin"
if "%~1"=="" ecm *"(Track 1).bin" >NUL 2>NUL
del *"(Track 1).bin" 
goto audiocomp
) ELSE ( 
if "%~1"=="1" ecm *".bin"
if "%~1"=="0" ecm *".bin" >NUL 2>NUL
del *.bin
goto compress
)
)

:audiocomp
if "%~1"=="1" flac -8 -V --delete-input-file --force-raw-format --endian=little --channels=2 --bps=16 --sample-rate=44100 --sign=signed *.bin
if "%~1"=="" flac -8 -V --silent --delete-input-file --force-raw-format --endian=little --channels=2 --bps=16 --sample-rate=44100 --sign=signed *.bin
rem del *.bin

:compress
for %%I in (.) do set CurrDirName=%%~nxI
freearc a -t -df -m9x -ma9 -mt8 "%CurrDirName%.arc" *.bin.ecm *.flac *.cue *.sha256
	IF %ERRORLEVEL% EQU 0 GOTO success
GOTO error

:success
echo Compression Successful.
GOTO end

:error
echo "Error occured."

:end
